Loading...
Searching...
No Matches
ArgumentIterator< SignatureT, I > Struct Template Reference

Templated argument iterator which implements various small functions per argument type, resolved at compile time. More...

`#include <openvdb_ax/codegen/FunctionTypes.h>`

## Public Types

using | ArgT = typename FunctionTraits<SignatureT>::template Arg<I-1>
using | ArgumentValueType = typename ArgT::Type

## Static Public Member Functions

template<typename OpT>
static void | apply (const OpT &op, const bool forwards)

## Detailed Description

template<typename SignatureT, size_t I = FunctionTraits<SignatureT>::N_ARGS>
struct openvdb::v10_0::ax::codegen::ArgumentIterator< SignatureT, I >

Templated argument iterator which implements various small functions per argument type, resolved at compile time.

## Member Typedef Documentation

## ArgT

template<typename SignatureT, size_t I = FunctionTraits<SignatureT>::N_ARGS>

using ArgT = typename FunctionTraits<SignatureT>::template Arg<I-1>

## ArgumentValueType

template<typename SignatureT, size_t I = FunctionTraits<SignatureT>::N_ARGS>

using ArgumentValueType = typename ArgT::Type

## Member Function Documentation

## apply()

template<typename SignatureT, size_t I = FunctionTraits<SignatureT>::N_ARGS>
template<typename OpT>

void apply | ( | const OpT & | op,
|  | const bool | forwards )

inline static